package net.black_cow.opennip.ui.swing;

import java.awt.Color;
import java.awt.Font;

import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;

@SuppressWarnings("serial")
public class MessageDialog extends JDialog {

	private JLabel message;
	
	public MessageDialog(JFrame owner) {
		super(owner, false);

		message = new JLabel();
		message.setBackground(UIConstant.MESSAGE_DIALOG_PANEL_COLOR);
		message.setOpaque(true);
		message.setHorizontalAlignment(JLabel.CENTER);
		message.setVerticalAlignment(JLabel.CENTER);
		message.setPreferredSize(UIConstant.MESSAGE_DIALOG_PANEL_SIZE);
		this.add(message);
		this.setResizable(false);
		this.pack();
		this.setLocationRelativeTo(owner);
	}
	
	void setText(String message, Font font, Color textColor) {
		this.message.setFont(font);
		this.message.setForeground(textColor);
		this.message.setText(message);
	}
}
