package net.black_cow.opennip.opennipcore;

/**
 * jbṽvC[.
 * @author percy
 *
 */
public class NipPlayer {

	private NipStrategy strategy;
	private NipTable table;
	private NipStone.Color color;
	private NipPlayer anotherPlayer;
	private NipStone nextStone;
	
	/**
	 * jbv헪NXݒ肷.
	 * @param strategy jbv헪
	 */
	public void setStrategy(NipStrategy strategy) {
		this.strategy = strategy;
	}
	
	/**
	 * vC[ɐݒ肳ĂFԂB
	 * @return vC[̐F
	 */
	public NipStone.Color getColor() {
		return color;
	}
	
	/*
	 * PlayerCX^X̏B
	 */
	void init(NipTable table, NipStone.Color color, NipPlayer anotherPlayer) {
		this.table = table;
		this.color = color;
		this.anotherPlayer = anotherPlayer;
		this.nextStone = new NipStone(color);
	}
	
	/*
	 * ΐ푊擾B
	 */
	NipPlayer getAnotherPlayer() {
		return anotherPlayer;
	}
	
	/*
	 * vC[΂u邩肷B
	 */
	boolean canPutStone() {
		return table.canPutStone(nextStone);
	}
	
	/*
	 * ΂uB
	 */
	void putStone() {
		int[] pos = strategy.decide(table, nextStone);
		if(pos.length < 2) throw new RuntimeException("΂uʒu̎w肪słB");
		table.putStoneAt(pos[0], pos[1], nextStone);
		nextStone = new NipStone(color);
	}
}
