package net.black_cow.opennip.strategy;

import java.util.List;
import java.util.Random;

import net.black_cow.opennip.opennipcore.NipStone;
import net.black_cow.opennip.opennipcore.NipStrategy;
import net.black_cow.opennip.opennipcore.NipTable;
import net.black_cow.opennip.opennipcore.NipTableUtil;

/**
 * \̂̒A_Ŏ肷NX.
 * @author percy
 *
 */
public class RandomStrategy implements NipStrategy {

	private Random rand;
	private long waitTime;
	
	/**
	 * RXgN^.
	 * @param waitTime ҋ@ԁi~bj
	 */
	public RandomStrategy(long waitTime) {
		rand = new Random();
		this.waitTime = waitTime;
	}
	
	@Override
	public int[] decide(NipTable table, NipStone stone) {
		List<int[]> list = NipTableUtil.getCanPutStoneCellList(table, stone);
		try {
			Thread.sleep(waitTime);
		} catch (InterruptedException e) {
			e.printStackTrace();
		}
		return list.get(rand.nextInt(list.size()));
	}

}
